Subject: bug#7825: Cannot return from the debugger

From: Andreas Schwab <[email-masked]>
Date: Wed, 12 Jan 2011 10:41:19 +0100

Štěpán Němec <[email-masked]> writes:

> I'm not sure I understand what you two are saying or how that relates to
> the problem at hand, but what a decent Lisp system usually does when an
> error happens inside the debugger is just add another debugging layer on
> the stack, i.e. start the debugger on the "newer" error; then when you
> exit the inner level, you end up back debugging the outer level.

That's not returning from the debugger, that's throwing to some outer
level, i.e. the context of the error is destroyed in any case.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."